Subject: Re: [PATCH] ci: github action - add check for whitespace errors

From: Junio C Hamano <[email-masked]>
Date: Fri, 09 Oct 2020 11:13:43 -0700

Jeff King <[email-masked]> writes:

> On Fri, Oct 09, 2020 at 09:23:28AM -0700, Junio C Hamano wrote:
>
>> I think this is exactly the use case that
>> 
>>     After the list reached a consensus that it is a good idea to apply the
>>     patch, re-send it with "To:" set to the maintainer{current-maintainer}
>>     and "cc:" the list{git-ml} for inclusion.
>> 
>> in Documentation/SubmittingPatches was written to address.
>> 
>> I usually pay attention to majority of topics and have them on my
>> radar by getting involved in _some_ way in the discussion thread, so
>> I often know when the patch(es) matured enough to be picked up
>> without such a "this is the version after our discussion and it is
>> as close to perfect as we can possibly make" resend.
>> 
>> But for some topics, I have no strong opinion on the exact shape of
>> the final patch(es), and/or I have no expertise to offer to help the
>> discussion to reach the final product.  In such a case, I'd be just
>> waiting, without getting involved in the discussion, for trusted
>> others to bring the posted patch to a completed form.  I think this
>> is such a case.
>
> As the other person in the discussion, I'm sufficiently convinced that
> doing this just for PRs is a good step for now. I.e., I think the
> "completed form" is just what was posted already (though I agree it is
> often convenient to the maintainer to re-post the patch as part of the
> ping).

Yes, and CC'ing those who were involved in the review would give
them the last chance to say "oh, no, that extra change you added
for this final submission was not something I meant to suggest!",
etc.

So, is <[email-masked]> as-is the
one we should take?

Thanks.